Bug 1008204 - DNSSEC support for FreeIPA
DNSSEC support for FreeIPA
Status: CLOSED WONTFIX
Product: Fedora Documentation
Classification: Fedora
Component: freeipa-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Kosek
Fedora Docs QA
: Tracking
Depends On: 998522
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-15 14:42 EDT by Pete Travis
Modified: 2014-10-15 06:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 998522
Environment:
Last Closed: 2014-10-15 06:55:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Travis 2013-09-15 14:42:35 EDT
+++ This bug was initially created as a clone of Bug #998522 +++

This is a tracking bug for Change: DNSSEC support for FreeIPA
For more details, see: http://fedoraproject.org//wiki/Changes/IPAv3DNSSEC

FreeIPA with integrated DNS server will support serving of DNSSEC secured zones.

--- Additional comment from Tomas Babej on 2013-08-28 10:22:11 EDT ---

This feature is self-contained and not in a testable state yet. It is planned for FreeIPA 3.4 Beta release which is aligned with the F20 schedule.

--- Additional comment from Petr Spacek on 2013-09-02 07:18:58 EDT ---

It is possible that we will not be able to complete the feature in time for Fedora 20 beta.

From:
http://fedoraproject.org//wiki/Changes/IPAv3DNSSEC#Contingency_Plan
Contingency mechanism: Do not expose new feature in FreeIPA's user interface (i.e. revert patches for user interface)

--- Additional comment from Jaroslav Reznik on 2013-09-04 08:28:20 EDT ---

Ok, in case you won't be able to finish it by Beta Change Deadline (currently planned for 2013-10-08), let me know and put the bug to the NEW state, version to rawhide.

Thanks for update!

-----------------------------------------------
Discussion at https://lists.fedoraproject.org/pipermail/devel-announce/2013-July/001193.html

Please assess existing documentation for the impact of this Change.
Comment 1 Petr Spacek 2013-09-16 03:20:50 EDT
Please just note, that there is a possibility that this feature will be pulled
out of Fedora 19 release in case we do not manage to overcome challenges we
face with this feature in time.

As Jaroslav stated above, 2013-10-08 is the day when this should be resolved.
Comment 2 Pete Travis 2014-01-26 17:25:44 EST
The FreeIPA Guide should be the only affected book, reassigning there for further review.
Comment 3 Deon Ballard 2014-05-09 17:38:49 EDT
Reassigning to Martin Kosek. (This has not been implemented yet; the dev bug is still in a NEW state.)
Comment 4 Martin Kosek 2014-10-15 06:55:09 EDT
FreeIPA upstream project no longer actively maintains an upstream guide (details in www.freeipa.org/page/Upstream_User_Guide). The only actively maintained user information is therefore upstream community wiki (FreeIPA.org) and RHEL downstream user guides (http://www.freeipa.org/page/Documentation#User_Guides).

Please file upstream tickets or RHEL documentation Bugzillas to request additional fixes or enhancements in these guides. Thank you and sorry for any inconvenience.

Note You need to log in before you can comment on or make changes to this bug.